//
//  ColorViewController.m
//  NavigationStoryboard
//
//  Created by Holger Hinzberg on 04.03.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "ColorViewController.h"

@interface ColorViewController ()

@end

@implementation ColorViewController
@synthesize  yellowButton;
@synthesize blueButton;
@synthesize greenButton;
@synthesize redButton;
@synthesize carColor;
@synthesize delegate;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

/*
- (void)loadView
{
    // If you create your views manually, you MUST override this method and use it to create your views.
    // If you use Interface Builder to create your views, then you must NOT override this method.
}
*/

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    NSLog(@"%@",self.carColor);
    
    if ([self.carColor isEqualToString:@"Rot"])
    {
        self.redButton.titleLabel.textColor = [UIColor redColor];
    }
    else if ([self.carColor isEqualToString:@"Gelb"])
    {
        self.yellowButton.titleLabel.textColor = [UIColor yellowColor];
    }
    else if ([self.carColor isEqualToString:@"Blau"])
    {
        self.blueButton.titleLabel.textColor = [UIColor blueColor];
    }
    else if ([self.carColor isEqualToString:@"Grün"])
    {
        self.greenButton.titleLabel.textColor = [UIColor greenColor];
    }
}

- (IBAction)redButtonClicked:(id)sender
{
    self.carColor = @"Rot";
    [self.delegate colorDidChange:self];
}
- (IBAction)yellowButtonClicked:(id)sender
{
    self.carColor = @"Gelb";
    [self.delegate colorDidChange:self];
}
- (IBAction)blueButtonClicked:(id)sender
{
    self.carColor = @"Blau";
    [self.delegate colorDidChange:self];
}
- (IBAction)greenButtonClicked:(id)sender
{
    self.carColor = @"Grün";
    [self.delegate colorDidChange:self];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

@end
