//
//  ViewController.h
//  NavigationStoryboard
//
//  Created by Holger Hinzberg on 04.03.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Car.h"
#import "ColorViewController.h"
#import "GearViewController.h"

@interface CarDetailViewController : UIViewController <ColorViewControllerDelegateProtcol,GearViewControllerDelegateProtcol>

@property (strong, nonatomic) IBOutlet UILabel *carNameLabel;
@property (strong, nonatomic) IBOutlet UILabel *carColorLabel;
@property (strong, nonatomic) IBOutlet UILabel *carGearboxLabel;
@property (strong, nonatomic) Car *car;

-(void) showCarData;
- (IBAction)colorChangeButtonClicked:(id)sender;
- (IBAction)gearChangeButtonClicked:(id)sender;

@end
